Subject: Re: bug#62072: 29.0.60; tree-sitter interferes with Custom

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Mar 2023 14:44:48 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Mar 2023 20:06:51 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Which missing grammar libraries cause this?  I tried a few, but
> > couldn't see any warnings.
> 
> All you have to do is click on "Programming -> Languages".  Here's one
> warning message I got:
> 
>  ■  Warning (treesit): Cannot activate tree-sitter, because language grammar for ruby is unavailable (not-found): (libtree-sitter-ruby libtree-sitter-ruby.so) No such file or directory

I already tried with ruby: I renamed the grammar library to another
name, but I don't see any warnings.  That's why I asked.

> but IIRC I also saw another errors on builds without tree-sitter at all.

That's a different situation, I think (I do see that in a build
without tree-sitter).